;;; intellimouse.el --- Window system-dependent IntelliMouse support

;; Copyright (C) 1997 yamagus@kw.netlaputa.or.jp

;; Maintainer: yamagus@kw.netlaputa.or.jp
;; Keywords: hardware

(defvar wheel-scroll-lines 5
  "*Number of lines to try scrolling a window when spin the wheel button.")

(defun wheel-scroll-down (click)
  (interactive "e")
  (mouse-minibuffer-check click)
  (let ((cw (selected-window))
	(sw (posn-window (event-start click))))
    (select-window sw)
    (condition-case ()
	(scroll-down wheel-scroll-lines)
      (beginning-of-buffer
       (goto-char (point-min))))
    (select-window cw)))
    
(defun wheel-scroll-up (click)
  (interactive "e")
  (mouse-minibuffer-check click)
  (let ((cw (selected-window))
	(sw (posn-window (event-start click))))
    (select-window sw)
    (condition-case ()
	(scroll-up wheel-scroll-lines)
      (end-of-buffer
       (goto-char (point-max))))
    (select-window cw)))

(global-set-key [mouse-4] 'wheel-scroll-down)
(global-set-key [mouse-5] 'wheel-scroll-up)

